Skip to main content
POST
/
api
/
v1
/
vm
/
{vm_id}
/
commit
cURL
curl --request POST \
  --url https://api.example.com/api/v1/vm/{vm_id}/commit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "name": "<string>"
}
'
{
  "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vm_id
string
required

VM ID to commit

Query Parameters

keep_paused
boolean

If true, keep VM paused after commit

skip_wait_boot
boolean

If true, return an error immediately if the VM is still booting. Default: false

Body

application/json

Optional commit metadata

The request body for POST /api/vm/{vm_id}/commit

commit_id
string<uuid> | null

If provided, chelsea will use the requested commit UUID. Otherwise, it will generate a UUID itself.

description
string | null

Optional description for the commit.

name
string | null

Optional human-readable name for the commit. Defaults to auto-generated name if not provided.

Response

VM committed successfully

The response body for POST /api/vm/{vm_id}/commit

commit_id
string<uuid>
required

The UUID of the newly-created commit